Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetQueryDetailsCommand

    java.lang.Object
      org.labkey.remoteapi.Command<GetQueryDetailsResponse>
          org.labkey.remoteapi.query.GetQueryDetailsCommand

    public class GetQueryDetailsCommand

extends Command<GetQueryDetailsResponse>

Command for obtaining the list of queries available within a given schema.

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`GetQueryDetailsCommand(GetQueryDetailsCommand source)`
`GetQueryDetailsCommand(java.lang.String schemaName, java.lang.String queryName)` Constructs the command given a particular schema name.

Method Summary
`GetQueryDetailsCommand` | `copy()` Returns a copy of this object.
`protected GetQueryDetailsResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text and the HTTP status code.
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
`java.lang.String` | `getQueryName()`
`java.lang.String` | `getSchemaName()`
`void` | `setQueryName(java.lang.String queryName)`
`void` | `setSchemaName(java.lang.String schemaName)`

Methods inherited from class org.labkey.remoteapi.Command
`createMethod, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetQueryDetailsCommand

    public GetQueryDetailsCommand(java.lang.String schemaName,
                                  java.lang.String queryName)

  Constructs the command given a particular schema name.

  Parameters:
    `schemaName` - The schema name.

### GetQueryDetailsCommand

    public GetQueryDetailsCommand(GetQueryDetailsCommand source)

Method Detail

### getSchemaName

    public java.lang.String getSchemaName()

### setSchemaName

    public void setSchemaName(java.lang.String schemaName)

### getQueryName

    public java.lang.String getQueryName()

### setQueryName

    public void setQueryName(java.lang.String queryName)

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

  Description copied from class: `Command`
  Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.

  Overrides:
    `getParameters` in class `Command<GetQueryDetailsResponse>`
  Returns:
    The current parameter map.

### createResponse

    protected GetQueryDetailsResponse createResponse(java.lang.String text,
                                                     int status,
                                                     java.lang.String contentType,
                                                     org.json.simple.JSONObject json)

  Description copied from class: `Command`
  Creates an instance of the response class, initialized with the response text and the HTTP status code.

  Override this method to create an instance of a different class that extends CommandResponse

  Overrides:
    `createResponse` in class `Command<GetQueryDetailsResponse>`
  Parameters:
    `text` - The response text from the server.
    `status` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if no JSON was returned).
  Returns:
    An instance of the response object.

### copy

    public GetQueryDetailsCommand copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Overrides:
    `copy` in class `Command<GetQueryDetailsResponse>`
  Returns:
    A copy of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD